srp_remove_host
Prev | SCSI RDMA (SRP) transport class | Next

## Name

srp_remove_host — tear down a Scsi_Host's SRP data structures

## Synopsis

`void srp_remove_host (` | struct Scsi_Host * | shost`)`;

## Arguments

`shost`

  Scsi Host that is torn down

## Description

Removes all SRP remote ports for a given Scsi_Host. Must be called just before scsi_remove_host for SRP HBAs.

Prev | Up | Next
srp_rport_del | Home | srp_attach_transport